GET /api/proxies/{PORT}
PORT parameter is optional. You can skip it to fetch all the proxies*
[
{"port": 24000,
"zone": "ZONE",
"proxy_type": "persist",
"customer": "CUSTOMER",
"password": "password",
"whitelist_ips": []
},
{
"port": 33335,
"zone": "ZONE",
"listen_port": 33335,
"customer": "CUSTOMER",
"password":"password"
}
]
curl "http://127.0.0.1:22999/api/proxies/{PORT}"
#!/usr/bin/env node
(async () => {
const response = await fetch('http://127.0.0.1:22999/api/proxies/{PORT}');
const data = await response.text();
console.log(data);
})();
package example;
import org.apache.http.HttpHost;
import org.apache.http.client.fluent.*;
public class Example {
public static void main(String[] args) throws Exception {
String res = Executor.newInstance()
.execute(Request.Get("http://127.0.0.1:22999/api/proxies/{PORT}"))
.returnContent().asString();
System.out.println(res)
}
}
using System;
using System.Net;
using System.Net.Http;
using System.Net.Http.Headers;
public class Program {
public static async Task Main() {
var client = new HttpClient();
var requestMessage = new HttpRequestMessage {
Method = HttpMethod.Get,
RequestUri = new Uri("http://127.0.0.1:22999/api/proxies/{PORT}")
};
var response = await client.SendAsync(requestMessage);
var responseString = await response.Content.ReadAsStringAsync();
Console.WriteLine(responseString);
}
}
#!/usr/bin/env python
print('If you get error "ImportError: No module named requests", please install it:\n$ sudo pip install requests');
import requests
r = requests.get('http://127.0.0.1:22999/api/proxies/{PORT}')
print(r.content)